cURL
curl --request GET \
--url https://app-api.aide.app/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "product",
"store": {
"name": "<string>",
"id": "<string>",
"domain": "<string>",
"platform": "<string>"
},
"handle": "<string>",
"url": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"availability": {
"status": "in_stock",
"total": 123,
"inStock": 123
},
"title": "<string>",
"currency": "<string>",
"vendor": "<string>",
"options": [
{
"values": [
"<string>"
],
"name": "<string>"
}
],
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"descriptionHtml": "<string>",
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"productType": "<string>",
"variants": [
{
"object": "product_variant",
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
},
"price": "<string>",
"compareAtPrice": "<string>",
"inventoryQuantity": 123,
"requiresShipping": true,
"sku": "<string>",
"stockStatus": "in_stock"
}
],
"adminUrl": "<string>",
"priceRange": {
"min": "<string>",
"max": "<string>"
},
"collections": [
{
"handle": "<string>",
"title": "<string>"
}
],
"compareAtPriceRange": {
"min": "<string>",
"max": "<string>"
},
"knowledgeDocumentId": "<string>",
"descriptionText": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Product
Get v1products 1
GET
/
v1
/
products
/
{id}
cURL
curl --request GET \
--url https://app-api.aide.app/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "product",
"store": {
"name": "<string>",
"id": "<string>",
"domain": "<string>",
"platform": "<string>"
},
"handle": "<string>",
"url": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"availability": {
"status": "in_stock",
"total": 123,
"inStock": 123
},
"title": "<string>",
"currency": "<string>",
"vendor": "<string>",
"options": [
{
"values": [
"<string>"
],
"name": "<string>"
}
],
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"descriptionHtml": "<string>",
"images": [
{
"url": "<string>",
"alt": "<string>"
}
],
"productType": "<string>",
"variants": [
{
"object": "product_variant",
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
},
"price": "<string>",
"compareAtPrice": "<string>",
"inventoryQuantity": 123,
"requiresShipping": true,
"sku": "<string>",
"stockStatus": "in_stock"
}
],
"adminUrl": "<string>",
"priceRange": {
"min": "<string>",
"max": "<string>"
},
"collections": [
{
"handle": "<string>",
"title": "<string>"
}
],
"compareAtPriceRange": {
"min": "<string>",
"max": "<string>"
},
"knowledgeDocumentId": "<string>",
"descriptionText": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}